@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*================================
    Advanced Search - Facet-Search
================================*/
// Styling of the faced-search (using solr).


@import "../support/_advancedsearch-variables.scss";

/* FacetData support */
.yw-advancedsearch {
    .yw-facet-container {
        background-color: $advancedsearch-facets__container--bg-color;
        padding: $advancedsearch-facets__container--padding;
        height: auto;
        display: table;
        width: 100%;
    }
    .yw-selected-facets,
    .yw-add-facet-container {
        float: none;
        display: table-cell;
        vertical-align: top;
    }
    .yw-selected-facets {
        width: auto;
        padding-left: $advancedsearch-facets__selected-facet-container--padding-left;
    }
    .yw-add-facet-container {
        width: $advancedsearch-facets__add-facet-button-container--width;
    }
    .yw-remove-facet-inline {
        cursor: pointer;
        float: right;
        width: $advancedsearch-facets__selected-facet-remove-button--size;
        height: $advancedsearch-facets__selected-facet-remove-button--size;
        margin-top: $advancedsearch-facets__selected-facet-remove-button--margin-top;
        border-radius: $advancedsearch-facets__selected-facet-remove-button--size/2;
        margin-left: $advancedsearch-facets__selected-facet-remove-button--margin-left;
        color: $advancedsearch-facets__selected-facet-remove-button--color;
        opacity: 0.8;
        position: relative;

        &:after {
            content: $close--content;
            font-family: $font-family-fontawesome;
            font-size: $advancedsearch-facets__selected-facet-remove-icon--font-size;
            line-height: 1;
            color: inherit;
            width: 100%;
            height: $advancedsearch-facets__selected-facet-remove-icon--font-size;
            position: absolute;
            top: 50%;
            margin-top: $advancedsearch-facets__selected-facet-remove-icon--margin-top;
            text-align: center;
            position:absolute;
        }

        &:hover {
            color: $advancedsearch-facets__selected-facet-remove-button-hover--color;
            opacity: 1;
        }
    }
    .yw-selected-facet-value-inline {
        display: inline-block;
        text-align: left;
        float: left;
        box-sizing: border-box;
        color: $advancedsearch-facets__selected-facet--color;
        background-color: $advancedsearch-facets__selected-facet--bg-color;
        height: $advancedsearch-facets__selected-facet--height;
        padding: $advancedsearch-facets__selected-facet--padding;
        margin-left: $advancedsearch-facets__selected-facet--margin-left;
        margin-top: $advancedsearch-facets__selected-facet--margin-top;
        border: $advancedsearch-facets__selected-facet--border-width solid $advancedsearch-facets__selected-facet--border-color;
        border-radius: $advancedsearch-facets__selected-facet--border-radius;
        
        &:hover {
            background-color: $advancedsearch-facets__selected-facet-hover--bg-color;
            
            .yw-remove-facet-inline {
                color: $advancedsearch-facets__selected-facet-remove-button-hover--color;
            }
        }
        .z-label {
            font-size: $advancedsearch-facets__selected-facet-label--font-size;
            line-height: $advancedsearch-facets__selected-facet-label--line-height;
        }
    }
    .yw-add-facet {
        padding: 0;
        box-sizing: border-box;
        cursor: pointer;
        position: static;
        background: $advancedsearch-facets__add-facet-button--bg-color url("images/icon_action_filter_white.svg") center;
        background-size: $advancedsearch-facets__add-facet-button-icon--size;
        width: $advancedsearch-facets__add-facet-button--size;
        height: $advancedsearch-facets__add-facet-button--size;
        min-height: $advancedsearch-facets__add-facet-button--size;
        line-height: $advancedsearch-facets__add-facet-button--size;
        margin-top: $advancedsearch-facets__add-facet-button--margin-top;

        &:hover {
            background-color: $advancedsearch-facets__add-facet-button-hover--bg-color;
        }
        &-popup {
            position: absolute;
        }
    }
    .yw-add-facet,
    .yw-selected-facet {
        border-radius: $advancedsearch-facets__selected-facet--border-radius;
    }
    
}

.yw-add-facet-popup {
    box-shadow: 0 0 4px rgba($advancedsearch-facets__popup-shadow--color, $advancedsearch-facets__popup-shadow--color-alpha);
    border: $advancedsearch-facets__popup--border-width solid $advancedsearch-facets__popup--border-color;
    max-width: $advancedsearch-facets__popup--max-width;
    background-color: $advancedsearch-facets__popup--bg-color; 
    margin-top: $advancedsearch-facets__popup--margin-top;
    overflow: visible;
    height: $advancedsearch-facets__popup--height;
    
    &:before,
    &:after {
        -moz-border-bottom-colors: none;
        -moz-border-left-colors: none;
        -moz-border-right-colors: none;
        -moz-border-top-colors: none;
        border-image: none;
        border-style: solid;
        content: "";
        height: 0;
        width: 0;
        position: absolute;
    }
    &:before {
        border-color: transparent transparent $advancedsearch-facets__popup--bg-color;
        border-width: $advancedsearch-facets__popup-pointer-inner--border-width;
        left: $advancedsearch-facets__popup-pointer-inner--left;
        top: $advancedsearch-facets__popup-pointer-inner--top;
        z-index: 5;
    }
    &:after {
        border-color: transparent transparent $advancedsearch-facets__popup--border-color;
        border-width: $advancedsearch-facets__popup-pointer-outer--border-width;
        left: $advancedsearch-facets__popup-pointer-outer--left;
        top: $advancedsearch-facets__popup-pointer-outer--top;
    }
    .yw-type-container .z-label,
    .yw-value-container .z-label {
        color: $advancedsearch-facets__popup-apply-action-label--color;
        display: block;
        margin-bottom: $advancedsearch-facets__popup-apply-action-label--margin-bottom;
    }
    > .z-window-content {
        position: static;
        bottom: 0;
        display: block;
        max-height: 100%;
        height: auto;
        table-layout: fixed;
        overflow: auto;
    }
    .z-window-header {
        background-color: $advancedsearch-facets__popup--bg-color;

        .z-window-icon {
            background-color: transparent;
        }
    }
    .yw-facet-main-container {
        padding: $advancedsearch-facets__popup-facets-main-container--padding;
        border-top: $advancedsearch-facets__popup-facets-main-container--border;
        border-bottom: $advancedsearch-facets__popup-facets-main-container--border;
    }
    .yw-value-container {
        padding-top: (nth($advancedsearch-facets__popup-facets-main-container--padding,1));

        .z-chosenbox {
            width: 100%;
            border-color: $advancedsearch-facets__selected-facet--border-color;
        }
    }
    .yw-apply-container {
        background-color: $advancedsearch-facets__popup-apply-container--bg-color;
        text-align: center;
        display: inline-block;
        padding: $advancedsearch-facets__popup-apply-container--padding;

        .z-label {
            color: $advancedsearch-facets__popup-apply-action-label--color;
            padding: $advancedsearch-facets__popup-apply-action-label--padding;
            display: inline-block;
            text-transform: uppercase;
            font-weight: 300;
            cursor: pointer;
            
            &:hover {
                color: $advancedsearch-facets__popup-apply-action-label-hover--color;
            }
            &.yw-cancel-label,
            &.yw-clear-label {
                cursor: pointer;
                float: left;
            }
        }
    }
    .yw-facet-select-popup-container {
        .yw-facet-list {
            width: auto;
        }
    }
    .z-window-content {
        margin-bottom: -$advancedsearch-facets__popup-search-bandbox-button--top;
        
        > .z-div {
            padding: $advancedsearch-facets__popup-container--padding;
            margin: 0;
            display: inline-block;
            max-height: $advancedsearch-facets__popup--max-height;
            width: 100%;
            top: $advancedsearch-facets__popup-facets-container--top;
            bottom: $advancedsearch-facets__popup-facets-container--bottom;
            overflow: auto;
            height: auto;

            &:first-child {
                bottom: auto;
                top: 0;
                padding-top: 0;
                padding-bottom: 0;
            }
            &.yw-apply-container {
                padding: $advancedsearch-facets__popup-apply-container--padding;
                display: inline-block;
                top: auto;
                bottom: 0;
            }
        }
        > .z-div > .yw-facet-container:only-child {
            max-width: 100%;
            width: 100%;

            .yw-facet-value-container {
                .z-checkbox,
                .z-radio {
                    width: $advancedsearch-facets__popup-facets-items-container--width;
                    max-width: $advancedsearch-facets__popup-facet-item--max-width;
                    float: left;
                }
            }
            .yw-facet-label-more:before {
                content: $caretarrow__up--content;
            }
        }
    }
    .yw-facet-selector-input {
        margin: $advancedsearch-facets__popup-search-input--margin;
        max-width: $advancedsearch-facets__popup-search-input--max-width;
        min-width: auto;
        width: 100%;
        position: relative;

        .z-bandbox-disabled {
            border: none !important;
            position: absolute !important;
            background-color: transparent !important;
            top: $advancedsearch-facets__popup-search-bandbox-button--top;
            right: 0;
            height: $advancedsearch-facets__popup-search-bandbox-button--height;
        }
        .z-bandbox-icon:before {
            content: $caretarrow__down--content;
            line-height: $advancedsearch-facets__popup-search-bandbox-button--height;
        }
        input {
            border-width: $advancedsearch-header__search-input-field--border-width;
            &:focus {
                color: $advancedsearch-facets__popup-search-input-focus--color;

                + .z-bandbox-button .z-bandbox-icon:before {
                    content: $caretarrow__up--content;
                    color: $advancedsearch-facets__popup-search-input-focus--color;
                }
            }
        }
    }
    .yw-facet-container {
        margin: 0 0 $advancedsearch-facets__popup-facets-items-container--margin-bottom;
        padding-top: 0;
        position: relative;
        width: $advancedsearch-facets__popup-facets-items-container--width;
        max-width: $advancedsearch-facets__popup-facet-item--max-width;
        min-width: $advancedsearch-facets__popup-facet-item--min-width;
        float: none;
        display: inline-block;
        padding-bottom: $advancedsearch-facets__popup-facets-items-container--padding-bottom;

        .yw-facet-label {
            &-container {
                text-transform: capitalize;
                font-weight: 700;
                position: static;
                font-size: $advancedsearch-facets__popup-facet-item--font-size;
                margin-bottom: $advancedsearch-facets__popup-facet-item-lable-container--margin-bottom;
                margin-top: $advancedsearch-facets__popup-facet-item-lable-container--margin-top;
            }
            &-selected-count {
                margin-left: $advancedsearch-facets__popup-facet-item-lable-selected-count--margin-left;
                font-weight: 100;
            }
            &-more {
                color: $advancedsearch-facets__popup-facet-more-label--color;
                cursor: pointer;
                font-weight: 300;
                position: absolute;
                bottom: 0;
                margin-left: 0;
                left: 0;
                font-size: $advancedsearch-facets__popup-facet-more-label--font-size;

                &:hover {
                    color: $advancedsearch-facets__popup-facet-more-label-hover--color;
                }
                &:before {
                    content: $caretarrow__down--content;
                    width: $advancedsearch-facets__popup-facet-more-icon--width;
                    margin-right: $advancedsearch-facets__popup-facet-more-icon--margin-right;
                    font: normal normal normal $advancedsearch-facets__popup-facet-more-label--font-size/1 FontAwesome;
                    display: inline-block;
                    text-align: center;
                    color: inherit;
                }
            }
        }

        .yw-facet-value-container .z-checkbox,
        .yw-facet-value-container .z-radio {
            width: 100%;
            font-weight: 300;
            text-transform: capitalize;
            white-space: pre;
            text-overflow: ellipsis;
            overflow: hidden;
            display: table;
            max-width: $advancedsearch-facets__popup-facet-item--max-width;
            position: relative;
        }
        .z-checkbox,
        .z-radio {
            position: relative;
            display: inline-table;
            table-layout: fixed;
            line-height: $advancedsearch-facets__popup-facet-item--line-height;
            
            input {
                display: inline-block;
                position: relative;
                line-height: $advancedsearch-facets__popup-facet-item--line-height;
                width: auto;
                height: auto;
                vertical-align: middle;
                overflow: visible;

                &:first-child {
                    position: absolute;
                    margin-top: $advancedsearch-facets__popup-facet-item-input-box--margin-top;
                }
                ~ label {
                    padding-left: 0;
                }
            }
            label {
                text-align: left;
                float: none;
                width: 100%;
                max-width: $advancedsearch-facets__popup-facet-item--max-width;
                padding-right: $advancedsearch-facets__popup-facet-item-lable--padding-right;
                line-height: $advancedsearch-facets__popup-facet-item--line-height;
                text-overflow: ellipsis;
                white-space: nowrap;
                overflow: hidden;
                display: inline-block;
                vertical-align: middle;
            }

            .note {
                font-size: $advancedsearch-facets__popup-facet-item-note--font-size;
                margin-top: $advancedsearch-facets__popup-facet-item-note--margin-top;
                color: $advancedsearch-facets__popup-facet-item-note--color;
            }
            &-mold {
                position: absolute;
                left: 0;
            }
        }
    }
    .yw-show-more-facets {
        &-container {
            padding: $advancedsearch-facets__popup-more-facets-container--padding;
            text-align: $advancedsearch-facets__popup-more-facets-container--text-align;
            line-height: 1;
        }
        &-button {
            margin-right: $advancedsearch-facets__popup-more-facets-button--margin-right;
            line-height: $advancedsearch-facets__popup-more-facets-button--line-height;
            font-size: $advancedsearch-facets__popup-more-facets-button--font-size;

            &:last-child {
                margin-right: 0;
            }
        }
    }
}
.yw-facet-select-popup-container {
    max-width: $advancedsearch-facets__popup-search-list-popup-container--max-width; //$advancedsearch-facets__popup-search-list-popup-list-box--border;
    max-height: $advancedsearch-facets__popup-search-list-popup-container--max-height;

    div.z-listcell-content {
        font-size: $advancedsearch-facets__popup-search-list-item--font-size;
        line-height: $advancedsearch-facets__popup-search-list-item--line-height;
    }
    .yw-facet-list.z-listbox {
        border: $advancedsearch-facets__popup-search-list-popup-list-box--border;
    }
    .z-bandbox-popup > &.z-bandpopup {
        overflow: auto;
        padding: 0;
        line-height: 0;
        border: none;
        max-height: 100%;
        width: 100%;
        margin: 0;
        
        .yw-facet-list.z-listbox {
            width: auto !important;
            display: block;
            max-width: 100%;
        }
    }
}
body.ie .yw-add-facet-popup .yw-facet-container {
    .z-checkbox input:first-child,
    .z-radio input:first-child {
        position: absolute;
//        margin-top: $advancedsearch-facets__popup-facet-item-ie-adjustment--margin-top;
        padding-left: 0;
        margin-left: 0;
    }
}
body > .yw-add-facet-popup {
    margin-left: -4px;
    width: calc(100% - 350px);
}
.yw-bandpopup-autosuggestion {
    width: $advancedsearch__textsearch-box--width;
    border-radius: 0 0 $editor-defaults__input-field--border-radius $editor-defaults__input-field--border-radius;

    .z-listitem .z-listcell > .z-listcell-content {
        padding: $advancedsearch__textsearch-auto-suggestion--listcell--padding;
    }

    .z-listitem:last-child .z-listcell {
        border-bottom-width: 0;
    }
}